Package com.independentsoft.office.odf.fields

# Class SimpleVariableDeclaration

java.lang.Object
com.independentsoft.office.odf.fields.SimpleVariableDeclaration

public class SimpleVariableDeclaration extends Object
Represents the name of a sheet that is currently being edited in a Spreadsheet document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleVariableDeclaration()`
  Initializes a new instance of the SimpleVariableDeclaration class.
  `SimpleVariableDeclaration​(InternalXMLStreamReader reader)`
  Instantiates a new simple variable declaration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SimpleVariableDeclaration`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getName()`
  Gets the name, subject to varying requirements.
  `VariableValueType`
  `getType()`
  Gets the value-type of a variable.
  `void`
  `setName​(String name)`
  Sets the name, subject to varying requirements.
  `void`
  `setType​(VariableValueType type)`
  Sets the value-type of a variable.
  `String`
  `toString()`
  Converts the value of the current SimpleVariableDeclaration object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleVariableDeclaration

    public SimpleVariableDeclaration()
    Initializes a new instance of the SimpleVariableDeclaration class.

  - ### SimpleVariableDeclaration

    public SimpleVariableDeclaration​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new simple variable declaration.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public SimpleVariableDeclaration clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current SimpleVariableDeclaration object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name, subject to varying requirements.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name, subject to varying requirements.
    Parameters:
      `name` - the new name

  - ### getType

    public VariableValueType getType()
    Gets the value-type of a variable.
    Returns:
      the type

  - ### setType

    public void setType​(VariableValueType type)
    Sets the value-type of a variable.
    Parameters:
      `type` - the new type